package com.boman.web.core.service.jflow.impl;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.dto.AjaxResult;
import com.boman.domain.dto.TaskDto;
import com.boman.jflow.api.RemoteJflowTaskService;
import com.boman.web.core.service.jflow.JFlowTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class JFlowTaskServiceImpl implements JFlowTaskService {

    @Autowired
    private RemoteJflowTaskService remoteJflowTaskService;

    @Override
    public AjaxResult historyLoad(TaskDto taskDto) {
        return remoteJflowTaskService.historySearchInPage(taskDto);
    }

    @Override
    public AjaxResult pendingTaskSearch(TaskDto taskDto) {
        return remoteJflowTaskService.pendingTaskSearch(taskDto);
    }

    @Override
    public AjaxResult pagePass(TaskDto taskDto) {
        return remoteJflowTaskService.pagePass(taskDto);
    }

    @Override
    public AjaxResult pageDeny(TaskDto taskDto) {
        return remoteJflowTaskService.pageDeny(taskDto);
    }

    @Override
    public JSONObject approvalStatistics(TaskDto taskDto) {
        return remoteJflowTaskService.approvalStatistics(taskDto);
    }

    @Override
    public AjaxResult pageDetail(TaskDto taskDto) {
        return remoteJflowTaskService.pageDetail(taskDto);
    }
}
